<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
    <meta charset="UTF-8"/>
    <title>Cars list</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
            crossorigin="anonymous"></script>
</head>
<body>
<div class="container">
    <div th:if="${not #lists.isEmpty(cars)}">
        <div class="row justify-content-between">
        </div>
        <div th:if="${isManager}" class="row justify-content-between">
            <div class="col-2">
                <button type="button" class="btn btn-primary" th:onclick="|window.location.href='/cars/add'|">Add
                </button>
            </div>
            <div class="col-2 text-end">
                <button type="button" class="btn btn-outline-success" th:onclick="|window.location.href='/orders/'|">
                    Orders
                </button>
            </div>
        </div>
        <h2 style="position: relative; left: 45%">Cars List</h2>
        <table class="table table-striped">
            <tr>
                <th>Manufacturer</th>
                <th>Model</th>
                <th>Year</th>
                <th>Price</th>
                <th>Available</th>
                <th></th>
            </tr>
            <tr th:each="car : ${cars}">
                <td th:text="${car.manufacturer}"></td>
                <td th:text="${car.model}"></td>
                <td th:text="${car.year}"></td>
                <td th:text="${car.price}"></td>
                <td th:text="${car.available}"></td>
                <td th:if="${isManager}">
                    <form th:method="post" th:action="@{/cars/delete/{id}(id=${car.id})}">
                        <button type="submit" class="btn btn-danger">
                            Remove
                        </button>
                    </form>
                </td>
                <td th:if="${!isManager}">
                    <form th:action="@{/orders/create}" th:object="${order}" method="post">
                        <input type="hidden" name="loginForm" th:value="${session.loginForm}">
                        <input type="hidden" name="carId" th:value="${car.id}">
                        <button type="submit" class="btn btn-primary" th:disabled="${!car.available}">
                            Order
                        </button>
                    </form>
                </td>
            </tr>
        </table>
    </div>

</div>

</body>

</html>